Applies the specified rotation to the current coordinate space

- « ImagickDraw::resetVectorGraphics

- ImagickDraw::roundRectangle »

- PHP Manual
- ImagickDraw
- Applies the specified rotation to the current coordinate space

# ImagickDraw::rotate

(PECL imagick 2, PECL imagick 3)

ImagickDraw::rotate — Applies the specified rotation to the current coordinate space

### Description

public ImagickDraw::rotate(float `$degrees`): bool
Warning

This function is currently not documented; only its argument list is available.

Applies the specified rotation to the current coordinate space.

### Parameters

`degrees`

  degrees to rotate.

### Return Values

No value is returned.

### Examples

Example #1 ImagickDraw::rotate() example

    <?phpfunction rotate($strokeColor, $fillColor, $backgroundColor, $fillModifiedColor) {    $draw = new \ImagickDraw();    $draw->setStrokeColor($strokeColor);    $draw->setStrokeOpacity(1);    $draw->setFillColor($fillColor);    $draw->rectangle(200, 200, 300, 300);    $draw->setFillColor($fillModifiedColor);    $draw->rotate(15);    $draw->rectangle(200, 200, 300, 300);    $image = new \Imagick();    $image->newImage(500, 500, $backgroundColor);    $image->setImageFormat("png");    $image->drawImage($draw);    header("Content-Type: image/png");    echo $image->getImageBlob();}?>